<?php
function get_msgs() {
	$msgs = array();
	foreach (glob(sapp_include_path() . 'locale.*.php') AS $locale_filepath)
		include_once($locale_filepath);
	return $msgs;
}

function msg($name, $locale = null)
{
	static $msgs;
	static $def_locale;

	if (!isset($msgs))
		$msgs = get_msgs();

	if (!isset($def_locale))
		$def_locale = $msgs['default'];

	if (null == $locale)
		$locale = sapp_get_locale();

	if (!isset($msgs[$locale]))
		$locale = $def_locale;

	if (isset($msgs[$locale][$name]))
		return $msgs[$locale][$name];
	elseif (isset($msgs[$def_locale][$name]))
		return $msgs[$def_locale][$name];
	else
		return $name;
}

function get_lang()
{
	return array (
	'arabic' => msg('arabic'),
	'arabic-utf-8' => msg('arabic-utf-8'),
	'brazilian_portuguese' => msg('brazilian_portuguese'),
	'brazilian_portuguese-utf-8' => msg('brazilian_portuguese-utf-8'),
	'bulgarian' => msg('bulgarian'),
	'bulgarian-utf-8' => msg('bulgarian-utf-8'),
	'chinese_big5' => msg('chinese_big5'),
	'chinese_big5-utf-8' => msg('chinese_big5-utf-8'),
	'chinese_gb' => msg('chinese_gb'),
	'chinese_gb-utf-8' => msg('chinese_gb-utf-8'),
	'croatian' => msg('croatian'),
	'croatian-utf-8' => msg('croatian-utf-8'),
	'czech' => msg('czech'),
	'czech-utf-8' => msg('czech-utf-8'),
	'danish' => msg('danish'),
	'danish-utf-8' => msg('danish-utf-8'),
	'dutch' => msg('dutch'),
	'dutch-utf-8' => msg('dutch-utf-8'),
	'english' => msg('english'),
	'english-utf-8' => msg('english-utf-8'),
	'finnish' => msg('finnish'),
	'finnish-utf-8' => msg('finnish-utf-8'),
	'french' => msg('french'),
	'french-utf-8' => msg('french-utf-8'),
	'german' => msg('german'),
	'german-utf-8' => msg('german-utf-8'),
	'greek' => msg('greek'),
	'greek-utf-8' => msg('greek-utf-8'),
	'hebrew' => msg('hebrew'),
	'hebrew-utf-8' => msg('hebrew-utf-8'),
	'hungarian' => msg('hungarian'),
	'hungarian-utf-8' => msg('hungarian-utf-8'),
	'indonesian' => msg('indonesian'),
	'indonesian-utf-8' => msg('indonesian-utf-8'),
	'italian2' => msg('italian2'),
	'italian2-utf-8' => msg('italian2-utf-8'),
	'italian' => msg('italian'),
	'italian-utf-8' => msg('italian-utf-8'),
	'japanese' => msg('japanese'),
	'japanese-utf-8' => msg('japanese-utf-8'),
	'latvian' => msg('latvian'),
	'latvian-utf-8' => msg('latvian-utf-8'),
	'malay' => msg('malay'),
	'malay-utf-8' => msg('malay-utf-8'),
	'norwegian' => msg('norwegian'),
	'norwegian-utf-8' => msg('norwegian-utf-8'),
	'polish' => msg('polish'),
	'polish-utf-8' => msg('polish-utf-8'),
	'romanian_no_diacritics' => msg('romanian_no_diacritics'),
	'romanian_no_diacritics-utf-8' => msg('romanian_no_diacritics-utf-8'),
	'romanian' => msg('romanian'),
	'romanian-utf-8' => msg('romanian-utf-8'),
	'russian' => msg('russian'),
	'russian-utf-8' => msg('russian-utf-8'),
	'slovenian' => msg('slovenian'),
	'slovenian-utf-8' => msg('slovenian-utf-8'),
	'spanish' => msg('spanish'),
	'spanish-utf-8' => msg('spanish-utf-8'),
	'swedish' => msg('swedish'),
	'swedish-utf-8' => msg('swedish-utf-8'),
	'vietnamese' => msg('vietnamese'),
	'vietnamese-utf-8' => msg('vietnamese-utf-8'),
);
}
function get_theme()
{
	return array (	
	'classic' => msg('classic'),
	'eyeball' => msg('eyeball'),
	'fruity' => msg('fruity'),
	'hardwired' => msg('hardwired'),
	'igames' => msg('igames'),
	'mac_ox_x' => msg('mac_ox_x'),
	'project_vii' => msg('project_vii'),
	'rainy_day' => msg('rainy_day'),
	'styleguide' => msg('styleguide'),
	'water_drop' => msg('water_drop')
	);
}
?>